<?php

namespace App\Events;

class BaseEvent
{
    public $timestamp;

    /**
     * Create a new event instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->timestamp = time();
    }

    public function setTimestamp(int $time)
    {
        $this->timestamp = $time;
    }
}
